Skip to main content

Select

The Select component lets you pick a single value or multiple values from a list of options.

Usage​

The following example will create a Select component with four options to choose from, each of them being a city.

<script setup>
import { MbscSelect } from '@mobiscroll/select';
import '@mobiscroll/vue/dist/css/mobiscroll.min.css';

const myData = [
{ text: 'Atlanta', value: 1 },
{ text: 'Berlin', value: 2 },
{ text: 'Chicago', value: 3 },
{ text: 'London', value: 4 },
];
</script>

<template>
<MbscSelect :data="myData" />
</template>

For many more examples - simple and complex use-cases - check out the select demos.

Skip to main content

Select

The Select component lets you pick a single value or multiple values from a list of options.

Usage​

The following example will create a Select component with four options to choose from, each of them being a city.

<mbsc-select [data]="myData"></mbsc-select>
import { Component } from '@angular/core';
import { MbscSelectData } from '@mobiscroll/angular';

@Component({...})
export class MyComponent {
myData: MbscSelectData[] = [
{ text: 'Atlanta', value: 1 },
{ text: 'Berlin', value: 2 },
{ text: 'Chicago', value: 3 },
{ text: 'London', value: 4 },
];
}

For many more examples - simple and complex use-cases - check out the select demos.